%define upstream_name smmap

Name: 		python-%{upstream_name}
Version: 	0.9.0
Release: 	%mkrel 1
Summary: 	A pure git implementation of a sliding window memory map manager
License:	BSD
Group: 		Development/Python
Url: 		http://pypi.python.org/pypi/smmap
Source0: 	http://pypi.python.org/packages/source/s/smmap/%{upstream_name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)

%description
When reading from many possibly large files in a fashion similar to random
access, it is usually the fastest and most efficient to use memory maps.

%package -n	python3-%{upstream_name}
Summary:	A pure git implementation of a sliding window memory map manager
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

%description -n	python3-%{upstream_name}
When reading from many possibly large files in a fashion similar to random
access, it is usually the fastest and most efficient to use memory maps.

This is the Python 3 version of the package.

%prep
%setup -q -n %{upstream_name}-%{version}

# Remove bundled egg-info
rm -rf %{upstream_name}.egg-info

%build
%py2_build

%py3_build

%install
%py2_install

%py3_install

%files
%doc PKG-INFO
%{python2_sitelib}/smmap
%{python2_sitelib}/smmap-%{version}-py%{python2_version}.egg-info

%files -n python3-%{upstream_name}
%doc PKG-INFO
%{python3_sitelib}/smmap
%{python3_sitelib}/smmap-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Jan 19 2016 daviddavid <daviddavid> 0.9.0-1.mga6
+ Revision: 925800
- new version: 0.9.0
- add python3 package
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 0.8.2-8.mga5
+ Revision: 740713
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8.2-7.mga5
+ Revision: 729774
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8.2-6.mga5
+ Revision: 688341
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.8.2-4.mga4
+ Revision: 544161
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.8.2-3.mga4
+ Revision: 499404
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.8.2-2.mga3
+ Revision: 379542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 29 2012 fwang <fwang> 0.8.2-1.mga3
+ Revision: 248919
- new version 0.8.2

* Wed Jul 20 2011 fwang <fwang> 0.8.1-1.mga2
+ Revision: 126970
- use setuptools
- imported package python-smmap


* Thu Jul 07 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.1-1mdv2011
+ Revision: 689059
- update to new version 0.8.1

* Fri Jul 01 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.0-1
+ Revision: 688466
- import python-smmap

